SALT-API(1)

NAME
salt-api - salt-api Command

Start interfaces used to remotely connect to the salt master

SYNOPSIS

salt-api

DESCRIPTION

The Salt API system manages network api connectors for the Salt Master

OPTIONS

--version
    Print the version of Salt that is running.

--versions-report
    Show program's dependencies and version number, and then exit

-h, --help
    Show the help message and exit

-c CONFIG_DIR, --config-dir=CONFIG_dir
    The location of the Salt configuration directory. This directory contains the configuration files for Salt master and minions. The default location on most systems is /etc/salt.

-d, --daemon
    Run the salt-api as a daemon

--pid-file=PIDFILE
    Specify the location of the pidfile. Default: /var/run/salt-api.pid

  Logging Options

Logging options which override any settings defined on the configuration files.

-l LOG_LEVEL, --log-level=LOG_LEVEL
    Console logging log level. One of all, garbage, trace, debug, info, warning, error, quiet. Default: warning.

--log-file=LOG_FILE
    Log file path. Default: /var/log/salt/api.

--log-file-level=LOG_LEVEL_LOGFILE
    Logfile logging log level. One of all, garbage, trace, debug, info, warning, error, quiet. Default: warning.

SEE ALSO

salt-api(7) salt(7) salt-master(1)

AUTHOR
Thomas S. Hatch <thatch45@gmail.com> and many others, please see the Authors file

COPYRIGHT
2016 SaltStack, Inc.